AM_CPPFLAGS = -Wall -Wextra -g $(all_includes) -I../lib

bin_PROGRAMS = \
	bnetz \
	bnetz-dialer

bnetz_SOURCES = \
	bnetz.c \
	telegramm.c \
	dsp.c \
	stations.c \
	image.c \
	ansage.c \
	main.c
bnetz_LDADD = \
	$(COMMON_LA) \
	../anetz/libgermanton.a \
	$(top_builddir)/src/lib/liboptions/liboptions.a \
	$(top_builddir)/src/lib/libdebug/libdebug.a \
	$(top_builddir)/src/lib/libmobile/libmobile.a \
	$(top_builddir)/src/lib/libosmocc/libosmocc.a \
	$(top_builddir)/src/lib/libdisplay/libdisplay.a \
	$(top_builddir)/src/lib/libjitter/libjitter.a \
	$(top_builddir)/src/lib/libsquelch/libsquelch.a \
	$(top_builddir)/src/lib/libtimer/libtimer.a \
	$(top_builddir)/src/lib/libsamplerate/libsamplerate.a \
	$(top_builddir)/src/lib/libemphasis/libemphasis.a \
	$(top_builddir)/src/lib/libfsk/libfsk.a \
	$(top_builddir)/src/lib/libfm/libfm.a \
	$(top_builddir)/src/lib/libfilter/libfilter.a \
	$(top_builddir)/src/lib/libwave/libwave.a \
	$(top_builddir)/src/lib/libsample/libsample.a \
	$(top_builddir)/src/lib/libg711/libg711.a \
	$(top_builddir)/src/lib/libaaimage/libaaimage.a \
	-lm

bnetz_dialer_SOURCES = \
	telegramm.c \
	dialer.c
bnetz_dialer_LDADD = \
	$(COMMON_LA) \
	$(top_builddir)/src/lib/liboptions/liboptions.a \
	$(top_builddir)/src/lib/libdebug/libdebug.a \
	$(top_builddir)/src/lib/libfsk/libfsk.a \
	$(top_builddir)/src/lib/libfm/libfm.a \
	$(top_builddir)/src/lib/libfilter/libfilter.a \
	$(top_builddir)/src/lib/libwave/libwave.a \
	$(top_builddir)/src/lib/libsample/libsample.a \
	$(ALSA_LIBS)
	-lm

if HAVE_ALSA
bnetz_LDADD += \
	$(top_builddir)/src/lib/libsound/libsound.a \
	$(ALSA_LIBS)

bnetz_dialer_LDADD += \
	$(top_builddir)/src/lib/libsound/libsound.a \
	$(ALSA_LIBS)
endif

if HAVE_SDR
bnetz_LDADD += \
	$(top_builddir)/src/lib/libsdr/libsdr.a \
	$(top_builddir)/src/lib/libam/libam.a \
	$(top_builddir)/src/lib/libfft/libfft.a \
	$(UHD_LIBS) \
	$(SOAPY_LIBS)
endif

if HAVE_ALSA
AM_CPPFLAGS += -DHAVE_ALSA
endif

